iotoms Docs

Get an order return

GET
/api/v1/transaction/returns/{returnId}

Returns one order return by its ID, with its returned lines, reason breakdown, totals, status and most recent settlement.

Authorization

BearerAuth
headerAuthorizationBearer <JWT>

Path Parameters

returnId*string

ID of the return, from Create an order return or List order returns.

Formatuuid

Header Parameters

Response Body

OK

*/*
  1. response
status*string

Outcome of the call: SUCCESS when it worked, ERROR when it failed.

message*string

Short human-readable message describing the outcome, for example "Vendor created". Do not parse it.

data?

The order return with its lines, reasons and latest settlement.

Example Request
curl -X GET 'https://beta.iotoms.com/api/v1/transaction/returns/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "status": "string",  "message": "string",  "data": {    "returnId": "251a8eaa-420a-41f0-8ae1-5162d9422d98",    "transactionId": "75906707-8c31-479c-b354-aa805c4cefbc",    "clientReturnId": "string",    "channel": "LINE_DISTRIBUTION",    "businessDate": "2019-08-24",    "dayCycleId": "bbed7a30-80be-4ccf-810d-a33c370a67d1",    "registerId": 0,    "returnDate": "2019-08-24",    "reasonCode": "string",    "reasonNote": "string",    "subtotal": 0,    "taxTotal": 0,    "discountTotal": 0,    "grandTotal": 0,    "storeCreditAmount": 0,    "reasonBreakdowns": [      {        "scope": "ITEM",        "referenceKey": "string",        "reasonCode": "string",        "reasonNote": "string",        "quantity": 0      }    ],    "lines": [      {        "itemId": "string",        "description": "string",        "quantity": 0,        "unitPrice": 0,        "discountAmount": 0,        "taxAmount": 0,        "lineSubtotal": 0,        "lineTotal": 0,        "reasonCode": "string",        "reasonNote": "string",        "batchNumber": "string",        "expiryDate": "2019-08-24"      }    ],    "settlement": {      "settlementId": "b4887549-5aec-4adc-bf32-5fb69ede72ea",      "returnId": "251a8eaa-420a-41f0-8ae1-5162d9422d98",      "clientSettlementId": "string",      "settlementMode": "STORE_CREDIT",      "storeCreditAmount": 0,      "refundCashAmount": 0,      "refundDigitalAmount": 0,      "refundReference": "string",      "notes": "string",      "createdBy": "string",      "createdAt": "2019-08-24T14:15:22Z"    },    "status": "DRAFT",    "syncStatus": "string",    "createdBy": "string",    "createdAt": "2019-08-24T14:15:22Z"  }}